@import "../../css/vars.scss";

.upload-icon {
  font-size: 180px;
  opacity: 0.4;
  margin-bottom: 30px;
}

.view-doc-container {
  width: 100%;
  height: 100%;
  align-items: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.example-loading-shade {
  background: rgba(255, 255, 255, 0.7);
  display: flex;
  flex-direction: column;

  .percent {
    position: absolute;
    margin-top: -5px;
    color: $primary;
  }
}

.viewer-tools {
  position: fixed;
  margin-top: 5px;
  z-index: 1;
  background: $primary;
  margin-left: 5px;
  border-radius: 10px;
  //opacity: 0.5;
  color: white;
  display: flex;
  align-items: left;
  transition: all 0.5s;


  .mat-button {
    font-size: 10px;
  }
}

::ng-deep.optionsListMenu {
  min-height: auto;
  .mat-menu-content {
    font-size: 13px;
    padding-top: 0;
    padding-bottom: 0;
  }

  .mat-icon {
    height: auto;
  }
}

.viewer-tools:hover {
    .mat-icon-button:hover {
      .mat-icon {
        transition: all 0.5s;
        border-radius: 5px;
        background: rgba(255, 255, 255, 0.2);
      }
    }
    
}

.no-doc-container {
  width: 100%;
  height: 100%;
  align-items: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  font-weight: initial;

  a {
    color: white;
    cursor: pointer;
    text-decoration: underline;
  }
}

.no-view {
  font-size: 30px;
  opacity: 0.2;

  .no-view-icon {
    font-size: 100px;
  }
}

.noFile {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100%;
  font-size: 30px;
  opacity: 0.2;

  i {
    font-size: 100px;
  }
}

.loaded-file {
  position: absolute;
  top: 105px;
  padding: 10px;
  border-radius: 10px;
  background: #ffffff47;
}

.extensionsList {
  height: 200px;
  overflow: auto;
}

.editInProgress {
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: center;
  opacity: 0.5;

  div {
    font-size: 20px;
    padding-top: 20px;
  }

  i {
    font-size: 150px;
  }
}

@-webkit-keyframes bounce {

  from,
  20%,
  53%,
  80%,
  to {
    -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
    animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }

  40%,
  43% {
    -webkit-animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);
    animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);
    -webkit-transform: translate3d(0, -30px, 0);
    transform: translate3d(0, -30px, 0);
  }

  70% {
    -webkit-animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);
    animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);
    -webkit-transform: translate3d(0, -15px, 0);
    transform: translate3d(0, -15px, 0);
  }

  90% {
    -webkit-transform: translate3d(0, -4px, 0);
    transform: translate3d(0, -4px, 0);
  }
}

@keyframes bounce {

  from,
  20%,
  53%,
  80%,
  to {
    -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
    animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }

  40%,
  43% {
    -webkit-animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);
    animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);
    -webkit-transform: translate3d(0, -30px, 0);
    transform: translate3d(0, -30px, 0);
  }

  70% {
    -webkit-animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);
    animation-timing-function: cubic-bezier(0.755, 0.05, 0.855, 0.06);
    -webkit-transform: translate3d(0, -15px, 0);
    transform: translate3d(0, -15px, 0);
  }

  90% {
    -webkit-transform: translate3d(0, -4px, 0);
    transform: translate3d(0, -4px, 0);
  }
}

.bounce {
  animation-duration: 2s;
  -webkit-animation-name: bounce;
  animation-name: bounce;
  -webkit-transform-origin: center bottom;
  transform-origin: center bottom;
  animation-iteration-count: infinite;
}

.disabledButton {
  cursor: not-allowed;
}